Debian Bug report logs - #637578
Please transition libvorbis for multiarch

version graph

Package: libvorbis; Maintainer for libvorbis is Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Fri, 12 Aug 2011 19:09:02 UTC

Severity: normal

Tags: patch

Found in version 1.3.2-1

Fixed in version libvorbis/1.3.2-1.3

Done: Riku Voipio <riku.voipio@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>:
Bug#637578; Package libvorbis. (Fri, 12 Aug 2011 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>. (Fri, 12 Aug 2011 19:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please transition libvorbis for multiarch
Date: Fri, 12 Aug 2011 12:04:29 -0700
[Message part 1 (text/plain, inline)]
Package: libvorbis
Version: 1.3.2-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

Hi folks,

Please find attached a patch to libvorbis to transition it to use of the
multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  This patch has been
tested and will be uploaded shortly to Ubuntu Oneiric.  I would encourage
you to apply this patch in Debian as well, since libvorbis is pretty low in
the audio stack included in ia32-libs, which we would like to get rid of for
wheezy.

Note that this moves the .la files included in the -dev package, which means
any other .la file on the system with a hard-coded reference to those .la
files will be broken by this change.  As such, if you apply this patch it's
probably best to fix bug #633339 at the same time by simply dropping the .la
files from your package.

Note also that I have examined the -dev package and confirmed that it
contains no architecture-specific headers, so I have marked this package
Multi-Arch: same in addition to the runtime library packages.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmphdDRWF (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>:
Bug#637578; Package libvorbis. (Sat, 21 Apr 2012 13:10:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>. (Sat, 21 Apr 2012 13:10:17 GMT) Full text and rfc822 format available.

Message #10 received at 637578@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 637578@bugs.debian.org
Subject: Please transition libvorbis for multiarch
Date: Sat, 21 Apr 2012 14:05:13 +0200
Hi,

is there any progress on this problem? dpkg multiarch is in testing now, and 
this is one of the packages blocking both libpulse and gstreamer0.10-plugins-
base from being installable in a foreign architecture.

Kind regards,
Ralf




Added indication that bug 637578 blocks 670531 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:05 GMT) Full text and rfc822 format available.

Added indication that bug 637578 blocks 670532 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>:
Bug#637578; Package libvorbis. (Sun, 06 May 2012 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Holtermann <sebholt@xwmw.org>:
Extra info received and forwarded to list. Copy sent to Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>. (Sun, 06 May 2012 09:06:06 GMT) Full text and rfc822 format available.

Message #19 received at 637578@bugs.debian.org (full text, mbox):

From: Sebastian Holtermann <sebholt@xwmw.org>
To: 637578@bugs.debian.org
Subject: Please fix this
Date: Sun, 06 May 2012 11:03:34 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Please fix this.

It's quite the show stopper fox i386 wine, sdl, pulseaudio and many
more on amd64 systems.

- -- 
Sebastian Holtermann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCAAGBQJPpj5mAAoJECkBQ2tME2NmVuoH/iVJNCMwD9enHVaCNMRpcda0
RHpEYe6BvBX7cvtqqjo+FQdNLivhUNbqv7tNdM0vhcNTs+cis79o7DEtZoSYIajl
s15SoAKxwAT6IoztXhSuAwdZKGGKgYM2iubUmu9cznRuhEZb9XOQa5rtwRyIk39f
Q70CPyfszg2LoA2NUwzC+41rQqQ9aAPw4T98TPVlgQvsep7h9xIoMP0WQp/PoaJk
qy1oCV3cXrMjgphMm2jknJhhRzqh+P35Fsl7bpIhWHlSPzO98pxuvBqJzDuGTgHi
OFQvt2neUvWt0Jp/Beh7csTENZrguynfW5Hgj5E/jjky6be726T+MmsrpCsHRpc=
=tO0a
-----END PGP SIGNATURE-----




Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Mon, 07 May 2012 12:25:35 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Mon, 07 May 2012 12:25:52 GMT) Full text and rfc822 format available.

Message #24 received at 637578-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 637578-close@bugs.debian.org
Subject: Bug#637578: fixed in libvorbis 1.3.2-1.3
Date: Mon, 07 May 2012 12:21:22 +0000
Source: libvorbis
Source-Version: 1.3.2-1.3

We believe that the bug you reported is fixed in the latest version of
libvorbis, which is due to be installed in the Debian FTP archive:

libvorbis-dbg_1.3.2-1.3_amd64.deb
  to main/libv/libvorbis/libvorbis-dbg_1.3.2-1.3_amd64.deb
libvorbis-dev_1.3.2-1.3_amd64.deb
  to main/libv/libvorbis/libvorbis-dev_1.3.2-1.3_amd64.deb
libvorbis0a_1.3.2-1.3_amd64.deb
  to main/libv/libvorbis/libvorbis0a_1.3.2-1.3_amd64.deb
libvorbis_1.3.2-1.3.diff.gz
  to main/libv/libvorbis/libvorbis_1.3.2-1.3.diff.gz
libvorbis_1.3.2-1.3.dsc
  to main/libv/libvorbis/libvorbis_1.3.2-1.3.dsc
libvorbisenc2_1.3.2-1.3_amd64.deb
  to main/libv/libvorbis/libvorbisenc2_1.3.2-1.3_amd64.deb
libvorbisfile3_1.3.2-1.3_amd64.deb
  to main/libv/libvorbis/libvorbisfile3_1.3.2-1.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637578@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated libvorbis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 May 2012 14:53:26 +0300
Source: libvorbis
Binary: libvorbis0a libvorbisenc2 libvorbisfile3 libvorbis-dev libvorbis-dbg
Architecture: source amd64
Version: 1.3.2-1.3
Distribution: unstable
Urgency: low
Maintainer: Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 libvorbis-dbg - The Vorbis General Audio Compression Codec (debug files)
 libvorbis-dev - The Vorbis General Audio Compression Codec (development files)
 libvorbis0a - The Vorbis General Audio Compression Codec (Decoder library)
 libvorbisenc2 - The Vorbis General Audio Compression Codec (Encoder library)
 libvorbisfile3 - The Vorbis General Audio Compression Codec (High Level API)
Closes: 633339 637578
Changes: 
 libvorbis (1.3.2-1.3) unstable; urgency=low
 .
   * Non-maintainer upload to fix release goals
   * Convert to Multi-Arch, closes: #637578 (Thanks, Steve Langasek)
   * Remove .la file dependencies, closes: #633339
Checksums-Sha1: 
 5ff1b80fc5e922248b3cb8273fa22d5b66c79021 1412 libvorbis_1.3.2-1.3.dsc
 36ea68e0af19e87d717554c839410a9afc6089fa 8152 libvorbis_1.3.2-1.3.diff.gz
 65ba4be2358da1d90535087a5bf4818ab7816d7c 109230 libvorbis0a_1.3.2-1.3_amd64.deb
 535993e80947710173f85218d93b23756585e00d 142536 libvorbisenc2_1.3.2-1.3_amd64.deb
 05a45b0108af70db94a4a1e3a589415e89ea017b 24918 libvorbisfile3_1.3.2-1.3_amd64.deb
 f05e4d0b48f75467795239d977ea327b3de3d3b7 476010 libvorbis-dev_1.3.2-1.3_amd64.deb
 94601035e9fcd935e6b6b6258bd0aa0a8fffc59f 223380 libvorbis-dbg_1.3.2-1.3_amd64.deb
Checksums-Sha256: 
 19621bac28a47e9589b69a128c207c6712ab4aed653d2be9ad39a705c47ae04a 1412 libvorbis_1.3.2-1.3.dsc
 4c592f9f2fe312d22946fe77beadf7b273a8cc88d0b10d7717081766e5f23c21 8152 libvorbis_1.3.2-1.3.diff.gz
 1f8551b7722b736a3a9fd15d54f916f466cb4cac01118eb220082e5278ace6fb 109230 libvorbis0a_1.3.2-1.3_amd64.deb
 800a48dda780bbedd44c74af4f549479269467783a3126757d784246c8d5635e 142536 libvorbisenc2_1.3.2-1.3_amd64.deb
 6471b1cc3d2ade3fbe768d6d1e88a8c9fd06349019b99350724a9f6391b4c79c 24918 libvorbisfile3_1.3.2-1.3_amd64.deb
 ef0d82fb40604bca99079771e9a233c227377fc81994fad4ba3de64b54cff105 476010 libvorbis-dev_1.3.2-1.3_amd64.deb
 ea58258b7bcf98e4f4a108f1752aaf75b77e36ebeb48ffd13f64c31b18e64674 223380 libvorbis-dbg_1.3.2-1.3_amd64.deb
Files: 
 8cdbeca4abced562f3718d34465884f1 1412 libs optional libvorbis_1.3.2-1.3.dsc
 62bfaa0963a09b013d0110b2b9a100ae 8152 libs optional libvorbis_1.3.2-1.3.diff.gz
 4378bea7550e48b466e68c89c13a3283 109230 libs optional libvorbis0a_1.3.2-1.3_amd64.deb
 151967416cbde26c766350084f136166 142536 libs optional libvorbisenc2_1.3.2-1.3_amd64.deb
 c073e39a00485f0a1062fbd0eaff958a 24918 libs optional libvorbisfile3_1.3.2-1.3_amd64.deb
 c0e92349158191e949035142c9538b20 476010 libdevel optional libvorbis-dev_1.3.2-1.3_amd64.deb
 e6be345c6479410cf12011b4c0088425 223380 debug extra libvorbis-dbg_1.3.2-1.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPp7vSibPvMsrqrwMRAssMAKCOwjV6A03HrvVoTPnPqZAwjXUfBwCfcV/2
nS8Nep9I841kNy2RVzIVi3g=
=NowK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:41:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:48:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.